# eric7.Plugins.VcsPlugins.vcsGit.GitCopyDialog

Module implementing a dialog to enter the data for a copy or rename operation.

### Global Attributes

None

### Classes

GitCopyDialog | Class implementing a dialog to enter the data for a copy or rename operation.

### Functions

None

## GitCopyDialog

Class implementing a dialog to enter the data for a copy or rename operation.

### Derived from

QDialog, Ui_GitCopyDialog

### Class Attributes

None

### Class Methods

None

### Methods

GitCopyDialog | Constructor
getData | Public method to retrieve the copy data.
on_dirButton_clicked | Private slot to handle the button press for selecting the target via a selection dialog.
on_targetEdit_textChanged | Private slot to handle changes of the target.

### Static Methods

None

#### GitCopyDialog (Constructor)

GitCopyDialog(source, parent=None, move=False)

Constructor

source
  name of the source file/directory (string)
parent
  parent widget (QWidget)
move
  flag indicating a move operation (boolean)

#### GitCopyDialog.getData

getData()

Public method to retrieve the copy data.

Return:
  the target name (string) and a flag indicating the operation should be enforced (boolean)

#### GitCopyDialog.on_dirButton_clicked

on_dirButton_clicked()

Private slot to handle the button press for selecting the target via a selection dialog.

#### GitCopyDialog.on_targetEdit_textChanged

on_targetEdit_textChanged(txt)

Private slot to handle changes of the target.

txt
  contents of the target edit (string)

Up